Page MenuHomePhabricator

Add sju, sjd, and rmf to wmgExtraLanguageNames
Open, Needs TriagePublic

Description

To be able to have labels and descriptions for these languages in Wikidata and Structured data on Commons, sju Ume Saami, sjd Kildin Saami, and rmf Finnish Kalo should be added to wmgExtraLanguageNames in InitialiseSettings.php for wikidata and commonswiki.

rmf needs to be added also to WikibaseContentLanguages.php:getDefaultMonolingualTextLanguages() to enable it as monolingual text language.

langcodelangnameautonym
sjuUme Saamiubmejesámiengiälla
sjdKildin Saamiкӣллт са̄мь кӣлл, кӣлтса̄мь кӣлл
rmfFinnish Kalokaalengo tšimb

Event Timeline

Zache updated the task description. (Show Details)Jun 27 2019, 12:36 PM
Yupik moved this task from Incoming to In progress on the WMFI board.Jun 27 2019, 1:56 PM

@Yupik: Are you going to do the patch or should i do it for you?

Yupik added a comment.Jul 2 2019, 3:58 PM

@Tulsi_Bhagat : I would appreciate it if you did it. Thanks.

Yupik reassigned this task from Yupik to Tulsi_Bhagat.Jul 2 2019, 3:58 PM

Change 520364 had a related patch set uploaded (by Tulsi Bhagat; owner: Tulsi Bhagat):
[operations/mediawiki-config@master] Add sju, sjd, and rmf to wmgExtraLanguageNames

https://gerrit.wikimedia.org/r/520364

Change 520369 had a related patch set uploaded (by Tulsi Bhagat; owner: Tulsi Bhagat):
[mediawiki/extensions/Wikibase@master] Enable monolingual text lanugage for rmf (Finnish Kalo)

https://gerrit.wikimedia.org/r/520369

@Yupik Are the two changes dependent on each other in some way?

Yupik added a comment.Jul 4 2019, 9:33 AM

@Urbanecm : they could be divided up into separate tickets if need be.

Zache added a comment.Jul 4 2019, 10:35 AM

@Yupik Are the two changes dependent on each other in some way?

No,

Adding language to wmgExtraLanguageNames should add the language to getDefaultMonolingualTextLanguages() return values even if it is not in listed in function. So it may be actually redundant there.

Yupik updated the task description. (Show Details)Jul 4 2019, 10:46 AM
Yupik added a comment.Sun, Jul 21, 3:13 AM

Any idea when this is going to start working? It'd be really nice to be able to use these languages in Wikidata right now for the Wikimania Menu Challenge that's going on.

Config changes go live when someone schedules it for deployment, code changes go live the next week after they are merged (Wednesday for non-Wikipedias, Thursday for Wikipedias). Since the non-config change might be redundant, I can go forward and schedule the config change for deployment the next week or so.

Change 520364 merged by jenkins-bot:
[operations/mediawiki-config@master] Add sju, sjd, and rmf to wmgExtraLanguageNames

https://gerrit.wikimedia.org/r/520364

Mentioned in SAL (#wikimedia-operations) [2019-07-25T23:18:06Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[:gerrit:520364|Add sju, sjd, and rmf to wmgExtraLanguageNames]] (T226701) (duration: 00m 47s)

Happy to help! Leaving this opened, in case anything needs to be done. Feel free to close :-).

Oh I will so be using this this weekend!

On an side note, do you know why some of the names show up in English even if they have an autonym listed?

Funnily enough they show up correctly in the caption box in Commons.

and in the summary box:

Tomorrow I'll be letting the world know these work!

On an side note, do you know why some of the names show up in English even if they have an autonym listed?

Wikidata tries to show language names in the UI language, not the language itself. If it doesn't know the name in the UI language, it follows the usual fallbacks, ending up at English. I only see autonyms when it doesn't even know the name in English.

Most language names come from CLDR. Ones which aren't in CLDR have to be added via LocalNamesXx.php files. It looks like there isn't one for Finnish yet. (That is Finnish, right?)

Zache awarded a token.Fri, Jul 26, 8:49 AM
Yupik added a comment.Sun, Jul 28, 4:58 AM

@Nikki : that's Finnish, yes. And I'm not sure how I managed to confuse autonyms with the name in Finnish (or in Northern Saami, which is what I usually use the UI in). I'll have to look into what's in CLDR again in these languages (and the other Saami languages too). Thanks!

Yupik awarded a token.Sun, Jul 28, 4:59 AM
Yupik added a comment.Sun, Jul 28, 5:03 AM

A minor nitpicky issue with the Ume Saami version; the autonym has been split into two different words, when it should all be one word like it has been when entering the word in this screenshot (and like it's written in the table in the ticket description):

That might be coming from langdb.yaml... not completely sure, since it was added there over a year ago (link) but maybe it only started using the name from there once it was enabled somewhere else? It's not coming from wmgExtraLanguageNames at least.